package ei.engine.network.message.type;

/**
 * The reciver will echo out this message to the sender
 * 
 * @author Ziver
 */
public interface EchoMessage {
	
	/**
	 * This method returns if the message should be echoed
	 * @return If the message should be echoed
	 */
	public boolean echo();
	
	/**
	 * Called by the reciver to disable looping of the message
	 *
	 */
	public void recived();
}
